init
Prev | Orchestra Opcodes and Operators | Next

## init

init — Puts the value of the i-time expression into a k- or a-rate variable.

## Syntax

    ares init iarg

    ires init iarg

    kres init iarg

## Description

Put the value of the i-time expression into a k- or a-rate variable.

## Initialization

Puts the value of the i-time expression iarg into a k- or a-rate variable, i.e., initialize the result. Note that init provides the only case of an init-time statement being permitted to write into a perf-time (k- or a-rate) result cell; the statement has no effect at perf-time.

## See Also

=, divz, tival

Prev | Up | Next
inh | Home | initc14